Subject: bug#6689: 24.0.50; No primary selection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Jul 2010 13:39:48 +0300

> Date: Thu, 22 Jul 2010 22:20:42 +0100
> From: David De La Harpe Golden <[email-masked]>
> Cc: Chong Yidong <[email-masked]>, [email-masked]
> 
> There may be a way to make [w32 emacs' internal primary emulation]
> cross-session or even get primary-like behaviour to/from other w32
> apps (involving accessibility apis), but it would be somewhat
> nontrivial.

Why would it make sense to do such a thing?  Windows does not have any
"primary selection", it has only the clipboard.  Windows users do not
expect anything but the clipboard to work between applications.

> Mind you, if you naively reversed the settings as presented in NEWS, it 
> wouldn't actually restore the old settings on w32, because the fact w32 
> e.g. already had x-select-enable-clipboard on by default isn't noted.

Would reverting the defaults of all those variables except
x-select-enable-clipboard revert to the old behavior on Windows?